
if not Global.level_data then return end
if Global.level_data.level_id ~= "mafia_bank" then return end

Hooks:PostHook(CharacterTweakData, "_init_civilian", "mafia_civs", function(self, presets)
	
	self.civilian.calls_in = nil
	
	self.civilian_female.calls_in = nil
end)

Hooks:PostHook(CharacterTweakData, "_init_fbi_swat", "mafia_cops", function(self, presets)
	
	self.fbi_swat.dodge = presets.dodge.heavy
	self.fbi_swat.use_radio = nil
	self.fbi_swat.calls_in = nil
	
	self.fbi_swat.melee_weapon = "baton"
end)

Hooks:PostHook(CharacterTweakData, "_init_fbi_heavy_swat", "mafia_fbi", function(self, presets)
	
	self.fbi_heavy_swat.dodge = presets.dodge.athletic
	self.fbi_heavy_swat.use_radio = nil
	self.fbi_heavy_swat.calls_in = nil
end)

Hooks:PostHook(CharacterTweakData, "_create_table_structure", "SwapMafiaWepVisuals", function(self)
	self.weap_unit_names = {
		Idstring("units/payday2/weapons/wpn_npc_beretta92/wpn_npc_beretta92"),
		
		Idstring("units/payday2/weapons/wpn_npc_30s_colt/wpn_npc_30s_colt"), --Idstring("units/payday2/weapons/wpn_npc_c45/wpn_npc_c45"),
		Idstring("units/payday2/weapons/wpn_npc_30s_revolver/wpn_npc_30s_revolver"), --Idstring("units/payday2/weapons/wpn_npc_raging_bull/wpn_npc_raging_bull"),
		Idstring("units/payday2/weapons/wpn_npc_30s_thompson/wpn_npc_30s_thompson"), --Idstring("units/payday2/weapons/wpn_npc_m4/wpn_npc_m4"),
		
		Idstring("units/payday2/weapons/wpn_npc_m4_yellow/wpn_npc_m4_yellow"),
		Idstring("units/payday2/weapons/wpn_npc_ak47/wpn_npc_ak47"),
		
		Idstring("units/payday2/weapons/wpn_npc_30s_shotgun/wpn_npc_30s_shotgun"), --Idstring("units/payday2/weapons/wpn_npc_r870/wpn_npc_r870"),
		
		Idstring("units/payday2/weapons/wpn_npc_sawnoff_shotgun/wpn_npc_sawnoff_shotgun"),
		Idstring("units/payday2/weapons/wpn_npc_mp5/wpn_npc_mp5"),
		Idstring("units/payday2/weapons/wpn_npc_mp5_tactical/wpn_npc_mp5_tactical"),
		Idstring("units/payday2/weapons/wpn_npc_smg_mp9/wpn_npc_smg_mp9"),
		Idstring("units/payday2/weapons/wpn_npc_mac11/wpn_npc_mac11"),
		Idstring("units/payday2/weapons/wpn_npc_sniper/wpn_npc_sniper"),
		Idstring("units/payday2/weapons/wpn_npc_saiga/wpn_npc_saiga"),
		Idstring("units/payday2/weapons/wpn_npc_lmg_m249/wpn_npc_lmg_m249"),
		Idstring("units/payday2/weapons/wpn_npc_benelli/wpn_npc_benelli"),
		
		Idstring("units/payday2/weapons/wpn_npc_30s_thompson_drum/wpn_npc_30s_thompson_drum"), --Idstring("units/payday2/weapons/wpn_npc_g36/wpn_npc_g36"),
		
		Idstring("units/payday2/weapons/wpn_npc_ump/wpn_npc_ump"),
		Idstring("units/payday2/weapons/wpn_npc_scar_murkywater/wpn_npc_scar_murkywater"),
		Idstring("units/pd2_dlc_mad/weapons/wpn_npc_rpk/wpn_npc_rpk"),
		Idstring("units/pd2_dlc_mad/weapons/wpn_npc_svd/wpn_npc_svd"),
		Idstring("units/pd2_dlc_mad/weapons/wpn_npc_akmsu/wpn_npc_akmsu"),
		Idstring("units/pd2_dlc_mad/weapons/wpn_npc_asval/wpn_npc_asval"),
		Idstring("units/pd2_dlc_mad/weapons/wpn_npc_sr2/wpn_npc_sr2"),
		Idstring("units/pd2_dlc_mad/weapons/wpn_npc_ak47/wpn_npc_ak47"),
		Idstring("units/payday2/weapons/wpn_npc_c45/wpn_npc_x_c45"),
		Idstring("units/pd2_dlc_chico/weapons/wpn_npc_sg417/wpn_npc_sg417"),
		Idstring("units/pd2_dlc_spa/weapons/wpn_npc_svd_silenced/wpn_npc_svd_silenced"),
		Idstring("units/pd2_dlc_drm/weapons/wpn_npc_mini/wpn_npc_mini"),
		Idstring("units/pd2_dlc_drm/weapons/wpn_npc_heavy_zeal_sniper/wpn_npc_heavy_zeal_sniper"),
		Idstring("units/pd2_dlc_uno/weapons/wpn_npc_smoke/wpn_npc_smoke")
	}
end)

local character_map_original = CharacterTweakData.character_map

function CharacterTweakData:character_map(...)
	
	local char_map = character_map_original(self, ...)
	
	local mafia_map = {
		"ene_30s_security_1",
		"ene_30s_cop_1",
		"ene_30s_cop_2",
		"ene_30s_cop_3",
		"ene_30s_fbi_1",
		"ene_30s_fbi_2"
	}
	
	for _, unit in pairs(mafia_map) do
		table.insert(char_map.basic.list, unit)
	end
	
	return char_map
end
