
if not Global.level_data then return end
if Global.level_data.level_id ~= "mafia_bank" then return end

Hooks:PostHook(GroupAITweakData, "_init_unit_categories", "spawnsadjust", function(self, difficulty_index)
	
	local access_type_walk_only = {
		walk = true
	}
	local access_type_all = {
		acrobatic = true,
		walk = true
	}
	
	self.special_unit_spawn_limits = {
		shield = 0,
		medic = 0,
		taser = 0,
		tank = 0,
		spooc = 0
	}
	
	-- self.unit_categories = {}
	
	-- Revolver Cops
	self.unit_categories.CS_swat_MP5 = {
		unit_types = {
			america = {
				Idstring("units/payday2/characters/ene_30s_cop_1/ene_30s_cop_1")
			}
		},
		access = access_type_all
	}
	-- Shotgun Cops
	self.unit_categories.CS_heavy_M4 = {
		unit_types = {
			america = {
				Idstring("units/payday2/characters/ene_30s_cop_1/ene_30s_cop_1"),
				Idstring("units/payday2/characters/ene_30s_cop_2/ene_30s_cop_2"),
				Idstring("units/payday2/characters/ene_30s_cop_2/ene_30s_cop_2")
			}
		},
		access = access_type_all
	}
	self.unit_categories.CS_swat_R870 = deep_clone(self.unit_categories.CS_swat_MP5)
	self.unit_categories.CS_heavy_R870 = deep_clone(self.unit_categories.CS_heavy_M4)
	
	-- Revolver/Shotgun Cops
	self.unit_categories.FBI_swat_M4 = {
		unit_types = {
			america = {
				Idstring("units/payday2/characters/ene_30s_cop_1/ene_30s_cop_1"),
				Idstring("units/payday2/characters/ene_30s_cop_2/ene_30s_cop_2"),
				Idstring("units/payday2/characters/ene_30s_cop_2/ene_30s_cop_2")
			}
		},
		access = access_type_all
	}
	-- Thompson Cops
	self.unit_categories.FBI_heavy_G36 = {
		unit_types = {
			america = {
				Idstring("units/payday2/characters/ene_30s_cop_3/ene_30s_cop_3")
			}
		},
		access = access_type_all
	}
	self.unit_categories.FBI_swat_R870 = deep_clone(self.unit_categories.FBI_swat_M4)
	self.unit_categories.FBI_heavy_R870 = deep_clone(self.unit_categories.FBI_heavy_G36)
	
	-- Mayhem/Death Wish/Death Sentence
	if difficulty_index >= 6 then
	
		-- Revolver/Shotgun Cops + Pistol FBI
		self.unit_categories.FBI_swat_M4 = {
			unit_types = {
				america = {
					Idstring("units/payday2/characters/ene_30s_cop_1/ene_30s_cop_1"),
					Idstring("units/payday2/characters/ene_30s_cop_3/ene_30s_cop_3"),
					Idstring("units/payday2/characters/ene_30s_fbi_2/ene_30s_fbi_2")
				}
			},
			access = access_type_all
		}
		-- Thompson FBI
		self.unit_categories.FBI_heavy_G36 = {
			unit_types = {
				america = {
					Idstring("units/payday2/characters/ene_30s_fbi_1/ene_30s_fbi_1")
				}
			},
			access = access_type_all
		}
		self.unit_categories.FBI_swat_R870 = deep_clone(self.unit_categories.FBI_swat_M4)
		self.unit_categories.FBI_heavy_R870 = deep_clone(self.unit_categories.FBI_heavy_G36)
	end
end)

Hooks:PostHook(GroupAITweakData, "_init_taskk_data", "difficultyadjust", function(self, difficulty_index, difficulty)
	
	self.besiege.assault.hostage_hesitation_delay = {40, 20, 20}
	
	if difficulty_index < 4 then
		self.besiege.assault.force = {2, 3, 3} -- 14, 15, 16 -- 14, 16, 18
		self.besiege.assault.force_pool = {10, 15, 20} -- 40, 45, 50 -- 150, 175, 225
	else
		self.besiege.assault.force = {5, 6, 7} -- 14, 15, 16 -- 14, 16, 18
		self.besiege.assault.force_pool = {20, 25, 30} -- 40, 45, 50 -- 150, 175, 225
	end
	self.besiege.assault.force_balance_mul = {1, 2, 3, 4} -- 1, 2, 3, 4
	self.besiege.assault.force_pool_balance_mul = {1, 2, 3, 4} -- 1, 2, 3, 4
	
	self.street = deep_clone(self.besiege)
	self.safehouse = deep_clone(self.besiege)
end)
