
if not Global.level_data then return end
if Global.level_data.level_id ~= "mafia_bank" then return end

local AlreadyTweaked = false

-- We have to hijack this function because Init runs too early
function LevelsTweakData:get_ai_group_type()
	
	if not AlreadyTweaked then
		AlreadyTweaked = true
		
		self.mafia_bank.ignore_statistics = true
		self.mafia_bank.disable_mutators = true
		self.mafia_bank.player_style = "mafia"
		self.mafia_bank.force_equipment = {
			throwable = "molotov",
			secondary = "wpn_fps_pis_1911",
			armor = "level_2",
			deployable = "ammo_bag",
			primary = "wpn_fps_smg_thompson"
		}
	end
	
	local level_data = Global.level_data and Global.level_data.level_id and self[Global.level_data.level_id]
	if level_data then
		local ai_group_type = level_data.ai_group_type
		if ai_group_type then
			return ai_group_type
		end
	end
	return self.ai_groups.default
end
